Subject: Re: [DNG] "chimeara/ceres" in lsb_release output causes failure to compile kernel

From: [email-masked]
Date: Tue, 4 Feb 2020 21:48:24 +0000

On 200202-11:17+0000, Mark Hindley wrote:
...
> Actually, I think we might just need to merge in Debian's base-files 11.0. It
> has dropped all the VERSION, VERSION_ID and CODENAME headers from
> /etc/os-release. See
...
> Are you able to remove VERSION, VERSION_ID and CODENAME and verify that the
> kernel builds successfully?

So I did:

# diff /usr/lib/os-release os-release_200204_21_5.orig
2a3,5
> VERSION_ID="4"
> VERSION="4 (chimaera/ceres)"
> VERSION_CODENAME=chimaera/ceres
#

and I can confirm that the kernel compiles correctly.

$ make -j4 deb-pkg
  UPD     include/config/kernel.release
make clean
sh ./scripts/package/mkdebian
Using default distribution of 'unstable' in the changelog
Install lsb-release or set $KDEB_CHANGELOG_DIST explicitly
  TAR     linux-5.5.0test00+.tar.gz
origversion=$(dpkg-parsechangelog -SVersion |sed 's/-[^-]*$//');\
    mv linux-5.5.0test00+.tar.gz ../linux-5.5.0test00+_${origversion}.orig.tar.gz
dpkg-buildpackage -r"fakeroot -u" -a$(cat debian/arch)  -i.git -us -uc
dpkg-buildpackage: info: source package linux-5.5.0test00+
dpkg-buildpackage: info: source version 5.5.0test00+-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by mehr <mehr@meba>
 dpkg-source -i.git --before-build .
dpkg-buildpackage: info: host architecture amd64
 fakeroot -u debian/rules clean
rm -rf debian/*tmp debian/files
make clean
 dpkg-source -i.git -b .
...

The problem appear to be solved with the new changes in base-files.

Regards!
Matheu